
/*************************************************************************************************
This file is part of wxControlAsistencia

Copyright (C) 2009 Ezequiel Gastn Miravalles

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************************************/

/*************************************************************************************************
Software: wxControlAsistencia
Author: Ezequiel Gastn Miravalles
Website: http://www.neoegm.com/es/tech/programming/c-cpp/wxwidgets/wx-control-de-asistencia/
License: GNU GPL v3 (attached, read above)
*************************************************************************************************/

//---------------------------------------------------------------------------
//
// Name:        wxControlAsistenciaApp.cpp
// Author:      NeoEGM
// Created:     23/06/2009 8:11:25 PM
// Description: 
//
//---------------------------------------------------------------------------

#include "wxControlAsistenciaApp.h"
#include "wxControlAsistenciaDlg.h"

IMPLEMENT_APP(wxControlAsistenciaDlgApp)

bool wxControlAsistenciaDlgApp::OnInit()
{
	wxControlAsistenciaDlg* dialog = new wxControlAsistenciaDlg(NULL);
	SetTopWindow(dialog);
	dialog->Show(true);	
	return true;
}
 
int wxControlAsistenciaDlgApp::OnExit()
{
	return 0;
}
