
/*************************************************************************************************
This file is part of wxControlAsistencia

Copyright (C) 2009 Ezequiel Gastn Miravalles

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************************************/

/*************************************************************************************************
Software: wxControlAsistencia
Author: Ezequiel Gastn Miravalles
Website: http://www.neoegm.com/es/tech/programming/c-cpp/wxwidgets/wx-control-de-asistencia/
License: GNU GPL v3 (attached, read above)
*************************************************************************************************/

//---------------------------------------------------------------------------
//
// Name:        wxListaUsuariosTextDlg.cpp
// Author:      NeoEGM
// Created:     30/06/2009 12:39:24 AM
// Description: wxListaUsuariosTextDlg class implementation
//
//---------------------------------------------------------------------------

#include "wxListaUsuariosTextDlg.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// wxListaUsuariosTextDlg
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(wxListaUsuariosTextDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(wxListaUsuariosTextDlg::OnClose)
	EVT_BUTTON(ID_WXBUTTON1,wxListaUsuariosTextDlg::WxButton1Click)
END_EVENT_TABLE()
////Event Table End

wxListaUsuariosTextDlg::wxListaUsuariosTextDlg(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

wxListaUsuariosTextDlg::~wxListaUsuariosTextDlg()
{
} 

void wxListaUsuariosTextDlg::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End.
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxBoxSizer1 = new wxBoxSizer(wxVERTICAL);
	this->SetSizer(WxBoxSizer1);
	this->SetAutoLayout(true);

	WxMemo1 = new wxTextCtrl(this, ID_WXMEMO1, wxT(""), wxPoint(5,5), wxSize(600,400), wxTE_READONLY | wxTE_LINEWRAP | wxTE_WORDWRAP | wxTE_MULTILINE, wxDefaultValidator, wxT("WxMemo1"));
	WxMemo1->SetMaxLength(0);
	WxMemo1->SetFocus();
	WxMemo1->SetInsertionPointEnd();
	WxMemo1->SetFont(wxFont(20, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));
	WxBoxSizer1->Add(WxMemo1,1,wxALIGN_TOP | wxEXPAND | wxALL,5);

	WxButton1 = new wxButton(this, ID_WXBUTTON1, wxT("Cerrar"), wxPoint(247,440), wxSize(115,49), 0, wxDefaultValidator, wxT("WxButton1"));
	WxButton1->SetFont(wxFont(20, wxSWISS, wxNORMAL,wxNORMAL, false, wxT("Tahoma")));
	WxBoxSizer1->Add(WxButton1,0,wxALIGN_CENTER | wxALL,30);

	SetTitle(wxT("Lista de usuarios"));
	SetIcon(wxNullIcon);
	
	GetSizer()->Layout();
	GetSizer()->Fit(this);
	GetSizer()->SetSizeHints(this);
	Center();
	
	////GUI Items Creation End
	
	Maximize();
}

void wxListaUsuariosTextDlg::OnClose(wxCloseEvent& /*event*/)
{
	Destroy();
}

/*
 * WxButton1Click
 */
void wxListaUsuariosTextDlg::WxButton1Click(wxCommandEvent& event)
{
	Destroy();
}
